Fórum Debian

Versão Completa: Aptitude quebrado - não consigo instalar nada
Você está atualmente visualizando uma versão simplificada do conteúdo. Visualizar a versão completa com formatação.
Semana passada meu computador estava desinstalando alguns pacotes pelo aptitude, quando a energia caiu. Agora, quando tento instalar um programa, aparece uma mensagem de erro. Por exemplo, se tento instalar o emacs, aparece:

Código:
Os NOVOS pacotes a seguir serão instalados:  
  emacs emacs22{a} emacs22-bin-common{a} emacs22-common{a} emacsen-common{a} xaw3dg{a}
0 pacotes atualizados, 6 novos instalados, 0 a serem removidos e 0 não atualizados.
É preciso obter 0 B de arquivos. Depois do desempacotamento, 61,8 MB serão usados.
Você deseja continuar? [Y/n/?] Y
E: Não foi possível localizar arquivo para o pacote linux-base. Isto pode significar que você precisa consertar manualmente este pacote.
E: Não foi possível localizar arquivo para o pacote linux-base. Isto pode significar que você precisa consertar manualmente este pacote.
E: Erro interno: não foi possível gerar a lista de pacotes a serem baixados

Alguém sabe o que eu posso fazer para consertar isso?

Agradeço desde já.
Aliás, se eu tento desinstalar algo pelo dpkg, aparece uma lista enorme de erros; um trecho dela é esse:

Código:
dpkg: aviso: falta ficheiro de lista de ficheiros `armagetronad', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `openoffice.org-officebean', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libgssglue1', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libmagickcore3-extra', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `wxsmith-dev', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libgif4', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libgnomeui-0', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `gedit', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `mtools', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libgc1c2', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `grub-common', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libxres1', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libicu4j-java', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `manpages-dev', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libpthread-stubs0', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libtokyocabinet8', assumindo que o pacote não tem actualmente ficheiros instalados.

No fim da lista aparece a mensagem:

Código:
dpkg: erro processando pymol (--remove):
impossível criar arquivo com lista de arquivos atualizados para o pacote pymol: Arquivo ou diretório não encontrado
Erros foram encontrados durante o processamento de:
pymol

Hein
Olá. você tentou
Código:
dpkg --audit
dpkg --configure -a
Olá GNU. Tentei esses comandos, mas não resolveu. O primeiro deu o seguinte output:

Código:
Os pacotes a seguir estão bagunçados devido a sérios problemas durante
a instalação, e precisam ser reinstalados para que eles (e quaisquer
pacotes que dependam dele) funcionem corretamente:
libdb-je-java        (nenhuma descrição disponível)
libjaxp1.3-java      (nenhuma descrição disponível)
openoffice.org       (nenhuma descrição disponível)
openoffice.org-emailmerge (nenhuma descrição disponível)
libwps-0.1-1         Works text file format import filter library (shared libr
openoffice.org-l10n-pt-br (nenhuma descrição disponível)
libjline-java        (nenhuma descrição disponível)
openoffice.org-help-pt-br (nenhuma descrição disponível)
libcommons-digester-java (nenhuma descrição disponível)
libssl0.9.8          SSL shared libraries
broffice.org         office productivity suite -- BrOffice.org branding
openssl              Secure Socket Layer (SSL) binary and related cryptographi
openoffice.org-java-common (nenhuma descrição disponível)
openoffice.org-impress office productivity suite -- presentation
gcj-4.4-base         (nenhuma descrição disponível)
libicu4j-java        (nenhuma descrição disponível)
openoffice.org-officebean (nenhuma descrição disponível)
liblucene2-java      (nenhuma descrição disponível)
libcolamd2.7.1       column approximate minimum degree ordering library for sp
linux-image-2.6.32-5-686 Linux 2.6.32 for modern PCs
libregexp-java       (nenhuma descrição disponível)
linux-libc-dev       Linux support headers for userspace development
openoffice.org-base  office productivity suite -- database
libjtidy-java        (nenhuma descrição disponível)
openoffice.org-math  office productivity suite -- equation editor
libgcj10             Java runtime library for use with gcj
libcommons-collections3-java (nenhuma descrição disponível)
linux-headers-2.6.32-5-686 Header files for Linux 2.6.32-5-686
openoffice.org-draw  office productivity suite -- drawing
libhsqldb-java       (nenhuma descrição disponível)
libwpg-0.1-1         WordPerfect graphics import/convert library (shared libra
openoffice.org-filter-mobiledev (nenhuma descrição disponível)
libgcj-common        Java runtime library (common files)
linux-base           Linux image base package
openoffice.org-calc  office productivity suite -- spreadsheet
openoffice.org-filter-binfilter office productivity suite -- legacy filters (e
lp-solve             (nenhuma descrição disponível)
gcj-4.4-jre-lib      (nenhuma descrição disponível)
libgcj-bc            (nenhuma descrição disponível)
openoffice.org-report-builder-bin (nenhuma descrição disponível)
openoffice.org-base-core (nenhuma descrição disponível)
libcommons-logging-java (nenhuma descrição disponível)
libdb4.7-java        (nenhuma descrição disponível)
libcommons-compress-java (nenhuma descrição disponível)
openoffice.org-writer office productivity suite -- word processor
libcommons-beanutils-java (nenhuma descrição disponível)
linux-headers-2.6.32-5-common Common header files for Linux 2.6.32-5
libservlet2.5-java   (nenhuma descrição disponível)
libwpd8c2a           Library for handling WordPerfect documents (shared librar
libdb4.7-java-gcj    Berkeley v4.7 Database Libraries for Java (native code)

Os pacotes a seguir estão apenas meio instalados, devido a problemas durante
a instalação, que provavelmente estará completa se você tentar executá-la
novamente; os pacotes podem ser removidos com o dselect ou dpkg --remove:
zlib1g               compression library - runtime
pymol                Molecular Graphics System
Faça o que o --audit recomendou mas use o apt a principio.Pode usar um corte o cola para o seu terminal mas cuide para manter a integridade nos nomes dos pacotes. Se der o mesmo erro vamos atuar manualmente no arquivo do apt.
Código:
sudo apt-get install --reinstall libdb-je-java   libjaxp1.3-java   openoffice.org       openoffice.org-emailmerge  libwps-0.1-1      openoffice.org-l10n-pt-br
libjline-java       openoffice.org-help-pt-br  libcommons-digester-java  libssl0.9.8    broffice.org   openssl     openoffice.org-java-common   openoffice.org-impress  gcj-4.4-base    libicu4j-java    openoffice.org-officebean   liblucene2-java     libcolamd2.7.1     linux-image-2.6.32-5-686  libregexp-java      linux-libc-dev     openoffice.org-base  libjtidy-java       openoffice.org-math  libgcj10    libcommons-collections3-java  linux-headers-2.6.32-5-686   openoffice.org-draw    libhsqldb-java    libwpg-0.1-1    openoffice.org-filter-mobiledev    libgcj-common   linux-base   openoffice.org-calc   openoffice.org-filter-binfilter    lp-solve    gcj-4.4-jre-lib     libgcj-bc    
openoffice.org-report-builder-bin  openoffice.org-base-core   libcommons-logging-java   libdb4.7-java  
libcommons-compress-java    openoffice.org-writer   libcommons-beanutils-java    
linux-headers-2.6.32-5-common    libservlet2.5-java  libwpd8c2a          libdb4.7-java-gcj   zlib1g     pymol
Eu não conseguia reinstalar nada. Resolvi formatar o pc logo.

Obrigado pela ajuda!
URL de Referência